#weekly-deals .right-circle {
    top: -27px;
    right: -21px;
}

#weekly-deals .circle-text p {
    padding: 0;
    margin: 0;
    line-height: 1;
}

#weekly-deals .box .c-title {
    font-weight: 700;
    font-style: Bold;
    font-size: 20px;
    leading-trim: NONE;
    letter-spacing: 0%;
    text-transform: uppercase;
    margin-bottom: -1px;
}

#weekly-deals .box .c-price {
    font-weight: 900;
    font-style: Condensed Black;
    font-size: 41.63px;
    leading-trim: NONE;
    letter-spacing: 0%;
    position: super;
}

#weekly-deals .box .c-week {
    font-weight: 500;
    font-style: Medium;
    font-size: 18px;
    leading-trim: NONE;
    letter-spacing: 0%;
    margin-top: 1px;
}

#weekly-deals .box .c-price span {
    font-size: 24px;
    top: -14px;
    position: relative;
    padding-right: 1px;
}

#weekly-deals .swiper-wrapper>div.item.relative.fp2.swiper-slide.swiper-slide-next>div>div.fp-image.flex.justify-center>img {
    max-width: unset !important;
    height: 100%;
    width: auto !important;
}

#weekly-deals .fp-note {
    margin-top: 5px;
}

#weekly-deals .box .fp-text {
    padding-top: 37px;
}

@supports (background: -webkit-named-image(i)) {
    #weekly-deals .box .c-title {
        margin-bottom: -3px;
    }
    #weekly-deals h3, #weekly-deals .h3 {
        max-width: 250px;
    }
}

@media screen and (max-width: 567px) {
    #weekly-deals .right-circle {
        z-index: 99;
        top: 112px;
        right: -9px;
    }

    #weekly-deals .right-circle img {
        width: 100px;
        height: 100px;
        max-width: 100% !important;
        max-height: 100% !important;
    }

    #weekly-deals .box .c-title {
        font-size: 14.6px;
    }

    #weekly-deals .box .c-price {
        font-size: 29.84px;
    }

    #weekly-deals .box .c-week {
        font-size: 13.14px;
    }

    #weekly-deals .box .c-price span {
        font-size: 17px;
        top: -10px;
    }

    #weekly-deals .fp-text {
        z-index: 9;
        background-color: white;
    }

    #weekly-deals .box .fp-image img {
        max-height: unset !important;
        height: auto;
    }

    #weekly-deals .swiper-wrapper>div.item.relative.fp2.swiper-slide.swiper-slide-next>div>div.fp-image.flex.justify-center>img {
        max-width: 100% !important;
        height: auto;
        width: 100% !important;
    }
}